Subject: Re: What's cooking in git.git (Jan 2021, #02; Fri, 8)

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 09 Jan 2021 11:55:15 +0100

On Fri, Jan 08 2021, Junio C Hamano wrote:

> 	git://git.kernel.org/pub/scm/git/git.git/
> 	git://repo.or.cz/alt-git.git/
> 	https://kernel.googlesource.com/pub/scm/git/git/
> 	https://github.com/git/git/
> 	https://gitlab.com/git-vcs/git/

As an aside thanks for following-up on adding the git-vcs/git URL. I
don't think I responded to a question in that E-Mail chain about whether
this repo only has your branches (and not some random topic branches of
mine or whatever). That's the case, it's a strict mirror of your
push-outs.

> * ab/trailers-extra-format (2020-12-09) 5 commits
>   (merged to 'next' on 2020-12-14 at 9fc731944e)
>  + pretty format %(trailers): add a "key_value_separator"
>  + pretty format %(trailers): add a "keyonly"
>  + pretty-format %(trailers): fix broken standalone "valueonly"
>  + pretty format %(trailers) doc: avoid repetition
>  + pretty format %(trailers) test: split a long line
>
>  The "--format=%(trailers)" mechanism gets enhanced to make it
>  easier to design output for machine consumption.

Thanks! Am refactoring some out-of-tree code to take advantage of this
:)

I forgot that, oops. Is just declaring here that all of that's:

Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>

Since you have some acks etc. squashed into it at this point...

> * bc/hashed-mailmap (2020-12-12) 1 commit
>  - mailmap: support hashed entries in mailmaps
>
>  The mailmap database learned to take hashed value as the original
>  side of mapping.
>
>  Expecting a reroll.

FWIW there was since a re-roll on 2021-01-03, but the discussion is
sort-of outstanding, so maybe that's intentional...

> * ab/mktag (2021-01-06) 23 commits
>   (merged to 'next' on 2021-01-08 at 6f9e11ad97)
>  + mktag: add a --[no-]strict option
>  + mktag: mark strings for translation
>  + mktag: convert to parse-options
>  + mktag: allow omitting the header/body \n separator
>  + mktag: allow turning off fsck.extraHeaderEntry
>  + fsck: make fsck_config() re-usable
>  + mktag: use fsck instead of custom verify_tag()
>  + mktag: use puts(str) instead of printf("%s\n", str)
>  + mktag: remove redundant braces in one-line body "if"
>  + mktag: use default strbuf_read() hint
>  + mktag tests: test verify_object() with replaced objects
>  + mktag tests: improve verify_object() test coverage
>  + mktag tests: test "hash-object" compatibility
>  + mktag tests: stress test whitespace handling
>  + mktag tests: run "fsck" after creating "mytag"
>  + mktag tests: don't create "mytag" twice
>  + mktag tests: don't redirect stderr to a file needlessly
>  + mktag tests: remove needless SHA-1 hardcoding
>  + mktag tests: use "test_commit" helper
>  + mktag tests: don't needlessly use a subshell
>  + mktag doc: update to explain why to use this
>  + mktag doc: grammar fix, when exists -> when it exists
>  + mktag doc: say <hash> not <sha1>
>
>  "git mktag" validates its input using its own rules before writing
>  a tag object---it has been updated to share the logic with "git
>  fsck".
>
>  Will merge to 'master'.

Thanks. I've got some more local fsck-y fixes I'm hoping to submit soon.